
package sgc.portal.security;

import sgc.portal.base.exception.SessionTimeoutException;
import sgc.portal.base.exception.advice.ErrorConst;

/**
 * 로그인하지 않았을 경우 또는 세션 타임 아웃에 의해 로그인이 해제될 경우
 *
 * @author YongSang
 * @version 1.0.0
 * @since 2020. 7. 28.
 */
@SuppressWarnings("serial")
public class InvalidSessionException extends SessionTimeoutException {
    /**
     * Instantiates a new Invalid session exception.
     *
     * @param code the code
     */
    public InvalidSessionException(final String code) {
        super(code);
    }

    /**
     * Instantiates a new Invalid session exception.
     *
     * @param code      the code
     * @param arguments the arguments
     */
    public InvalidSessionException(final String code, final Object[] arguments) {
        super(code, arguments);
    }

    @Override
    public int getErrorCode() {
        return ErrorConst.INVALID_SESSION_ERROR;
    }
}